#!/bin/bash

# tray is hidden, show it
if [ -e "/root/.fluxbox/init.hidden" ]; then
  mv /root/.fluxbox/init.hidden /root/.fluxbox/init

  # fluxbox restart
  ps xa | grep fluxbox | grep -v grep | awk '{ print $1 }' | xargs kill -SIGUSR2
  ps xa | grep nm-applet | grep -v grep | awk '{ print $1 }' | xargs kill -9
  ps xa | grep matchbox-keyboard | grep -v grep | awk '{ print $1 }' | xargs kill -9
# tray is visible, hide it
else
  mv /root/.fluxbox/init /root/.fluxbox/init.hidden

  echo "session.menuFile:	~/.fluxbox/menu" > /root/.fluxbox/init
  echo "session.keyFile: ~/.fluxbox/keys" >> /root/.fluxbox/init
  echo "session.styleFile: /usr/share/fluxbox/styles//Ubuntu-light" >> /root/.fluxbox/init
  echo "session.configVersion:	13" >> /root/.fluxbox/init
  echo "session.screen0.toolbar.widthPercent: 100" >> /root/.fluxbox/init
  echo "session.screen0.toolbar.placement: TopCenter" >> /root/.fluxbox/init
  echo "session.screen0.strftimeFormat: %d %b, %a %02k:%M:%S" >> /root/.fluxbox/init
  echo "session.screen0.toolbar.tools: prevworkspace, workspacename, nextworkspace, clock, prevwindow, nextwindow, iconbar, systemtray" >> /root/.fluxbox/init

  # fluxbox restart
  ps xa | grep fluxbox | grep -v grep | awk '{ print $1 }' | xargs kill -SIGUSR2
  ps xa | grep nm-applet | grep -v grep | awk '{ print $1 }' | xargs kill -9
  ps xa | grep matchbox-keyboard | grep -v grep | awk '{ print $1 }' | xargs kill -9
  sleep 2
  nm-applet &
  matchbox-keyboard &
  sleep 2

  maxw=`xdpyinfo  | grep 'dimensions:' | sed -e 's/^[ \t]*//'  | cut -f5 -d' ' | cut -f1 -dx`
  maxw2=`expr $maxw - 10`
  xdotool mousemove $maxw2 1 click 3
  wmctrl -r "Keyboard" -e 1,0,370,$maxw2,350

fi

